2 qq 34555708 qq_34555708 于 2016.04.06 10:31 提问

安卓项目跟手机版本不兼容怎么办

大神们麻烦帮下忙,我们做了个安卓项目,在三星S7上安装就闪退,别人的手机上都能装成功,该如何解决,

4个回答

u013268154
u013268154   2016.04.06 11:20
已采纳

对,先看看log日志吧,有可能是你使用的某些第三方的SDK的jar还没兼容到更高的android版本上,比如我很久之前遇到了百度云推送的sdk就不能在android5.0系统上运行,后来他们更新jar之后,我换了新的就ok了。

u013268154
u013268154 回复qq_34555708: 你去百度云的官网加一下那个官方的群,然后去里面问一下
一年多之前 回复
qq_34555708
qq_34555708 我遇到的也是,我用的开发版本是4.2.2的,别人手机是6.0.3的,然后一进去就闪退,你有新SDK的版本吗,希望和你交流一下,我QQ2475503455
一年多之前 回复
qq_32969313
qq_32969313   2016.04.06 10:44

闪退的原因,把手机开了USB调试,连上电脑,看下log输出,再分析原因

huangyue009
huangyue009   2016.04.06 10:46

有闪退的log吗,一般这种问题只能看log报什么就专门针对这个机型绕开

qq_34555708
qq_34555708 有闪退的LOG,但是不仅仅是那一种机型,还有OPoo的也出现了,一会能用一会又不能
一年多之前 回复
dongfeng9ge
dongfeng9ge   Ds   Rxr 2016.04.30 16:23

改一下gradle里的项目的sdk版本

Csdn user default icon
上传中...
上传图片
插入图片